Bug 468529 - SELinux is preventing munin-cron (munin_t) "read" to inotify (inotifyfs_t).
SELinux is preventing munin-cron (munin_t) "read" to inotify (inotifyfs_t).
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 12:41 EDT by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 15:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Meyering 2008-10-25 12:41:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1. as root, run this: su -s /bin/sh -c munin-cron - munin
2. wait a minute or so and see the new entry in setroubleshoot browser
3.
  
Actual results: as above


Expected results: no selinux violation


Additional info:

Source Context                system_u:system_r:munin_t:s0-s0:c0.c1023
Target Context                system_u:object_r:inotifyfs_t:s0
Target Objects                inotify [ dir ]
Source                        munin-cron
Source Path                   /bin/bash
Port                          <Unknown>
Host                          vv.meyering.net
Source RPM Packages           bash-3.2-28.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-5.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     vv.meyering.net
Platform                      Linux vv.meyering.net 2.6.27.3-39.fc10.x86_64 #1
                              SMP Wed Oct 22 21:04:28 EDT 2008 x86_64 x86_64
Alert Count                   1713
First Seen                    Fri 17 Oct 2008 11:30:01 PM CEST
Last Seen                     Sat 25 Oct 2008 06:35:01 PM CEST
Local ID                      85d6a149-766f-4ff2-b4dd-5e7dd10382c0
Line Numbers                  

Raw Audit Messages            

node=vv.meyering.net type=AVC msg=audit(1224952501.788:146): avc:  denied  { read } for  pid=4204 comm="munin-cron" path="inotify" dev=inotifyfs ino=1 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:inotifyfs_t:s0 tclass=dir

node=vv.meyering.net type=SYSCALL msg=audit(1224952501.788:146): arch=c000003e syscall=59 success=yes exit=0 a0=15e83d0 a1=15eb3c0 a2=15ea190 a3=7fffe2900ee0 items=0 ppid=4202 pid=4204 auid=494 uid=494 gid=489 euid=494 suid=494 fsuid=494 egid=489 sgid=489 fsgid=489 tty=(none) ses=12 comm="munin-cron" exe="/bin/bash" subj=system_u:system_r:munin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Kevin Fenzi 2008-10-27 12:34:07 EDT
Adding dwalsh here. 

Happy to make munin changes if it's munin doing something wrong here...
Comment 2 Daniel Walsh 2008-10-27 15:27:49 EDT
Fixed in selinux-policy-3.5.13-9..fc10

Note You need to log in before you can comment on or make changes to this bug.